summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHanno <hanno@gentoo.org>2017-02-06 21:31:59 +0100
committerHanno <hanno@gentoo.org>2017-02-06 21:31:59 +0100
commit49661c1e51b0ca1ed5db8682bb3a3fe21e57a33f (patch)
tree58b26447a36456e2f0ed408cf261d807de6c9cde /app-office
parentsys-kernel/zen-sources: remove unused patch (diff)
downloadgentoo-49661c1e51b0ca1ed5db8682bb3a3fe21e57a33f.tar.gz
gentoo-49661c1e51b0ca1ed5db8682bb3a3fe21e57a33f.tar.bz2
gentoo-49661c1e51b0ca1ed5db8682bb3a3fe21e57a33f.zip
app-office/geierlein: Version bump to 0.9.8
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'app-office')
-rw-r--r--app-office/geierlein/Manifest1
-rw-r--r--app-office/geierlein/geierlein-0.9.8.ebuild30
2 files changed, 31 insertions, 0 deletions
diff --git a/app-office/geierlein/Manifest b/app-office/geierlein/Manifest
index 8955a34e623..d9dc24f249b 100644
--- a/app-office/geierlein/Manifest
+++ b/app-office/geierlein/Manifest
@@ -1,3 +1,4 @@
DIST geierlein-0.9.5.tar.gz 1124736 SHA256 7cc61913d6a282b5dc9803eb618d9fdd9c0d9d6e844a2096ec16f1b21176212c SHA512 e7df23350b61c903f8e52e4ef11b41458c587188b5e45a895b1798de23f0821c75721d1fd9efc09d6ecc9c0b2f722ddc487be6695d376fe331fc39f6a19e19b6 WHIRLPOOL 04944a7f85875664ccda6553b3ffe103e8dc237eee8a7b20b0f23e7f39384b8ac87999112c1ea1f19b10f2d5f0325ca74adec54e789895f40b2be47006763154
DIST geierlein-0.9.6.tar.gz 1124754 SHA256 b3020caa738921dca905bc53f846d3c486a102ca305031f71f82ec59cd837cf6 SHA512 34143200d055719331b29c8741a703e78a0aa036662c8cc5b2c6f24c064c1d27c00eef34278bfeb5d044121e7e0a2bd873db5013fa0c24e1474411600fe289f1 WHIRLPOOL 4ef1e2424a4afeffb723947bfd6627e05d6eb763dd293739b7d3ed0abe14cbdf7bd83992c313500af81e628bb6266c65262b4ac12d4d3d5cfc18044c8264d381
DIST geierlein-0.9.7.tar.gz 1124770 SHA256 5ad9cccc4ce0c569a49556d5064acf41f5acdd070b0208d6da349f5111e0a0ea SHA512 c9110c075f9255e13f9ff5d2fd5fb2e2b3427a9702c669998912b7f28595dd9e9675d66612ba27c37fa6b821acf2f8576c2077dcfda71f8490b8b2a46813d1e2 WHIRLPOOL 782354e026858efb620c7adac949de850696e3d8d186a44a88dc990a145ed5819604cfb294d60c8b22eb20a6fb36a387d05dc53d66a65e4900c0f6bfc5f026e0
+DIST geierlein-0.9.8.tar.gz 1124778 SHA256 4a5c079daf0f7c7b9417b42859cb8a01b069a6ae85c9faa89b83acceccab19c3 SHA512 6e54444267261f60d1c32c414ea3ade4231b1de168317d5cb2d9349a748cfdeb365a91f074f9e222adc5593e9e79ff6fdd258a67b3e95edc3c910cd27ff98a8e WHIRLPOOL 51684e2dd94170d57973dfd594ad9b7e1276a9de4e2af008aa2913220a22ae89744b393a9074455cf921ed96e6fe7e2e267f82b0d31e7750d20e31cb544d2844
diff --git a/app-office/geierlein/geierlein-0.9.8.ebuild b/app-office/geierlein/geierlein-0.9.8.ebuild
new file mode 100644
index 00000000000..3eaea533e74
--- /dev/null
+++ b/app-office/geierlein/geierlein-0.9.8.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="Submit tax forms (Umsatzsteuervoranmeldung) to German ELSTER"
+HOMEPAGE="https://stesie.github.com/geierlein/"
+SRC_URI="https://github.com/stesie/geierlein/archive/V${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+RDEPEND="|| ( www-client/firefox www-client/firefox-bin )"
+DEPEND=""
+
+# needs nodejs and a couple of modules we don't have packaged
+RESTRICT="test"
+
+src_compile() {
+ emake prefix=/usr
+}
+
+src_install() {
+ emake \
+ DESTDIR="${D}" \
+ prefix=/usr \
+ install || die
+ dodoc README.md
+}